body {
    font-family: 'Open Sans', 'Helvetica Neue', Helvetica, sans-serif;
}

img {
    max-width: 100%;
}

a {
    color: #005ec3;
}

hr {
    margin-top: 3rem;
    margin-bottom: 3rem;
}

.btn-primary {
    background: #42a5f5;
    border-color: #42a5f5;
    border-radius: 2px;
}

#sidebar::-webkit-scrollbar {
    -webkit-appearance: none;
    height: 4px;
    width: 4px;
}

#sidebar::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0, .26);
}

/* Navbar */
.navbar-nav-svg {
    display: inline-block;
    width: 20px;
    height: 20px;
    vertical-align: text-top;
    color: rgba(255,255,255,.5);
}

.b-burger-btn {
    width: 54px;
    height: 40px;
    overflow: hidden;
    float: right;
    cursor: pointer;
    position: relative;
    display: none;
    -webkit-transition: -webkit-transform 0.2s cubic-bezier(0.56, 1, 0.86, 1.39), background 0.2s, ease;
    transition: transform 0.2s cubic-bezier(0.56, 1, 0.86, 1.39), background 0.2s, ease;
}

    .b-burger-btn i,
    .b-burger-btn b,
    .b-burger-btn:after {
        content: '';
        display: block;
        position: absolute;
        left: 17px;
        width: 20px;
        height: 2px;
        background-color: #ffffff;
        background-color: rgba(255, 255, 255, 0.8);
        -webkit-transition: all 0.2s ease;
        transition: all 0.2s ease;
        margin: auto;
    }

    .b-burger-btn i {
        top: 27px;
    }

    .b-burger-btn b {
        top: 20px;
        width: 14px;
        margin: auto;
    }

    .b-burger-btn:after {
        top: 13px;
    }

    .b-burger-btn.open b {
        opacity: 0;
    }

    .b-burger-btn.open:after,
    .b-burger-btn.open i {
        width: 21px;
    }

    .b-burger-btn.open:after {
        transform: rotate(-45deg) translateX(-4px) translateY(6px);
    }

    .b-burger-btn.open i {
        transform: rotate(45deg) translateX(-4px) translateY(-6px);
    }

@media only screen and (max-width: 768px) {
    .b-burger-btn {
        display: block;
    }
}

#backdrop {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 8;
    background-color: #000;
    display: none;
}

    #backdrop.open {
        display: block;
        opacity: 0.1;
    }

body.stop-scrolling {
    height: 100%;
    overflow: hidden;
}
/* Toc */
#toc {
    float: right;
    width: 30%;
    margin: 0 0 0.5em 2.5em;
    padding: 0 .8em .5em;
    border-left: 3px solid #005ec3;
    border-left: 3px solid rgba(0, 94, 195, 0.8);
    display: none;
}

    #toc h4 {
        margin: 0 auto 10px;
        color: #757575;
	font-size: .9em;
	text-transform: uppercase;
    }

    #toc ul {
        list-style-type: decimal;
        padding: 0;
        margin: 0;
        padding-left: 1.2em;
	font-size: .9em;
	color: #005ec3;
    }

.docs-container {
    max-width: 2000px;
    margin: auto;
    position: relative;
}
/* Main */
.main {
    margin-top: 5rem;
    margin-bottom: 0rem;
    padding-left: 25rem;
    padding-right: 5rem;
    max-width: 1400px;
    margin-left: auto;
    margin-right: auto;
}

    .main h1.title {
        font-size: 1.7em;
        border-bottom: 1px solid #ddd;
        margin-bottom: 15px;
        padding-bottom: 8px;
    }

    .main h1,
    .main h2,
    .main h3,
    .main h4 {
        margin-top: 30px;
        margin-bottom: 15px;
        color: #e6522c;
    }

    .main h2 {
        font-size: 1.5em;
        cursor: pointer;
    }

    .main h3 {
        font-size: 1.3em;
    }

    .main h4 {
        font-size: 1.2em;
    }

    .main p {
        margin: 15px 0 15px 0;
        line-height: 1.5;
    }

    .main div.note {
        margin: 20px 0;
        padding: 20px;
        background: #fafafa;
        font-size: 0.9em;
        border-left: 5px solid #ccc;
    }

        .main div.note div.title {
            color: #e6522c;
            text-transform: uppercase;
        }

pre, pre code {
    font-size: 14px !important;
}

pre, code {
    font-family: "Courier New", "Liberation Mono",Courier,monospace;
}

pre {
    background: #f8f8f8 none repeat scroll 0 0;
    border: 1px solid #e7e9ee;
    color: #4d4d4c;
    line-height: 21px;
    margin-bottom: 20px;
    overflow-wrap: break-word;
    padding: 10px 10px;
}

pre, code {
    white-space: pre-wrap;
}

code, kbd, pre, samp {
    font-family: monospace,monospace;
    font-size: 1em;
}

pre {
    overflow: auto;
}

code {
    background: #f8f8f8;
    padding: 4px;
    font-size: 14px !important;
}

table {
    empty-cells: show;
    border: 1px solid #cbcbcb;
    width: 100%;
    font-size: 0.9em;
}

thead {
    background-color: #e0e0e0;
    color: #000;
    text-align: left;
    vertical-align: bottom;
}

tr {
    display: table-row;
    vertical-align: inherit;
    border-color: inherit;
}

th, td {
    padding: 0.5em 1em;
}

/* Footer */
footer {
    margin-top: 50px;
    margin-bottom: 10px;
    text-align: right;
    padding-top: 10px;
    border-top: 1px solid #f1f1f1;
    font-size: 0.8em;
}

/* Sidebar */
#sidebar {
    font-size: .875rem;
    background-color: #fdfdfd;
    width: 320px;
    position: fixed;
    z-index: 10;
    margin: 0;
    top: 56px;
    bottom: 0;
    box-sizing: border-box;
    border-right: 1px solid #eaecef;
    overflow-y: auto;
    padding: 20px;
}

    #sidebar ul.nav {
        margin-bottom: 20px;
    }

    #sidebar li.nav-item {
        border-left: 1px solid #fafafa;
    }

    #sidebar li.nav-item-active {
        border-left: 3px solid #ddd;
    }
/* Navbar */

#page-content li {
    padding: 6px 0;
}

.tooltip {
    position: fixed;
    display: inline-block;
}

@media only screen and (max-width: 768px) {
    #sidebar {
        display: none;
    }

        #sidebar.open {
            display: block;
            width: 90%;
        }

    .main {
        margin-top: 5rem;
        margin-bottom: 0rem;
        padding-left: 1rem;
        padding-right: 1rem;
    }
}

.videoWrapper {
	position: relative;
	padding-bottom: 56.25%; /* 16:9 */
	padding-top: 25px;
	height: 0;
}
.videoWrapper iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}